Debian/Ubuntu: Install a PAM module called Cracklib

Fig.01: Install a PAM module called Cracklib

Fig.01: Install a PAM module called Cracklib

You need to install a PAM module called Cracklib using the following command on Debian or Ubuntu system:
$ apt-get install libpam-cracklib
Sample outputs:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  cracklib-runtime libcrack2 wamerican
The following NEW packages will be installed:
  cracklib-runtime libcrack2 libpam-cracklib wamerican
0 upgraded, 4 newly installed, 0 to remove and 0 not upgraded.
Need to get 444 kB of archives.
After this operation, 1830 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://archive.ubuntu.com/ubuntu xenial/main amd64 libcrack2 amd64 2.9.2-1build2 [28.6 kB]
Get:2 http://archive.ubuntu.com/ubuntu xenial/main amd64 cracklib-runtime amd64 2.9.2-1build2 [133 kB]
Get:3 http://archive.ubuntu.com/ubuntu xenial/main amd64 wamerican all 7.1-1 [269 kB]
Get:4 http://archive.ubuntu.com/ubuntu xenial/main amd64 libpam-cracklib amd64 1.1.8-3.2ubuntu2 [13.0 kB]
Fetched 444 kB in 0s (530 kB/s)             
Preconfiguring packages ...
Selecting previously unselected package libcrack2:amd64.
(Reading database ... 21233 files and directories currently installed.)
Preparing to unpack .../libcrack2_2.9.2-1build2_amd64.deb ...
Unpacking libcrack2:amd64 (2.9.2-1build2) ...
Selecting previously unselected package cracklib-runtime.
Preparing to unpack .../cracklib-runtime_2.9.2-1build2_amd64.deb ...
Unpacking cracklib-runtime (2.9.2-1build2) ...
Selecting previously unselected package wamerican.
Preparing to unpack .../wamerican_7.1-1_all.deb ...
Unpacking wamerican (7.1-1) ...
Selecting previously unselected package libpam-cracklib:amd64.
Preparing to unpack .../libpam-cracklib_1.1.8-3.2ubuntu2_amd64.deb ...
Unpacking libpam-cracklib:amd64 (1.1.8-3.2ubuntu2) ...
Processing triggers for libc-bin (2.23-0ubuntu3) ...
Setting up libcrack2:amd64 (2.9.2-1build2) ...
Setting up cracklib-runtime (2.9.2-1build2) ...
Setting up wamerican (7.1-1) ...
Setting up libpam-cracklib:amd64 (1.1.8-3.2ubuntu2) ...
Processing triggers for libc-bin (2.23-0ubuntu3) ...

Examples and usage: How to force users to use secure passwords on Ubuntu/Debian Linux

Leave a Comment